abstract class SettingsPersistenceUtils {
  Future<bool> getMusicOn();

  Future<bool> getMuted({required bool defaultValue});

  Future<bool> getReviewStatus();

  Future<bool> getSoundsOn();

  Future<int> getLevel();

  Future<void> saveMusicOn(bool value);

  Future<void> saveLevel(int value);

  Future<void> saveMuted(bool value);

  Future<void> saveReviewStatus(bool value);

  Future<void> saveSoundsOn(bool value);
}
